# Assist request

An action block that awaits a user assist request.

The fiber will pause until assistance has been requested.

Assistance is usually requested by long clicking on, or swiping up from, the “home” button in the navigation bar.

Note! On Android 6+ the output variables may only be available if the Assist app is allowed to Use text from screen.

## Input arguments

- Title — title to display when choosing a target flow, default is the Flow beginning title.
- Visibility — whether to show this choice on lock screen, default is Private.

## Output variables

- Context package — variable to assign the package name of the app where the request was made. (Android 4.3+)
- Context activity class — variable to assign the class name of the app activity where request was made. (Android 6+)
- Context action — variable to assign the action of the intent associated with the content where request was made. (Android 6+)
- Context data URI — variable to assign the the data URI of the intent associated with the content where request was made. (Android 6+)
- Context MIME type — variable to assign the type of the intent associated with the content where request was made. (Android 6+)
- Context categories — variable to assign an array of categories of the intent associated with the content where request was made. (Android 6+).
- Context extras — variable to assign a dictionary with the extended data of the intent associated with the content where request was made, inconvertible entries may be excluded. (Android 6+).
- Context web URL — variable to assign the web URL associated with the content where request was made. (Android 6+)